PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | List of all members
PHTML::TextArea Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::TextArea:
[legend]
Collaboration diagram for PHTML::TextArea:
[legend]

## Public Member Functions
| TextArea (const char *fname, DisableCodes disabled=Enabled, const char *attr=NULL)
| TextArea (const char *fname, int rows, int cols, DisableCodes disabled=Enabled, const char *attr=NULL)
virtual | ~TextArea ()

## Protected Member Functions
virtual void | AddAttr (PHTML &html) const
Protected Member Functions inherited from PHTML::FormField
| FormField (const char *nam, const char *attr, ElementInSet elmt, OptionalCRLF opt, DisableCodes disabled, const char *fname)
virtual | ~FormField ()
Protected Member Functions inherited from PHTML::FieldElement
| FieldElement (const char *nam, const char *attr, ElementInSet elmt, OptionalCRLF opt, DisableCodes disabled)
virtual | ~FieldElement ()
Protected Member Functions inherited from PHTML::Element
| Element (const char *nam, const char *att, ElementInSet elmt, ElementInSet req, OptionalCRLF opt)
virtual void | Output (PHTML &html) const

## Additional Inherited Members
Protected Types inherited from PHTML::Element
enum | OptionalCRLF { NoCRLF, OpenCRLF, CloseCRLF, BothCRLF }

## Constructor & Destructor Documentation

PHTML::TextArea::TextArea | ( | const char * | fname,
|  | DisableCodes | disabled = `Enabled`,
|  | const char * | attr = `NULL`
| ) |  |

PHTML::TextArea::TextArea | ( | const char * | fname,
|  | int | rows,
|  | int | cols,
|  | DisableCodes | disabled = `Enabled`,
|  | const char * | attr = `NULL`
| ) |  |

virtual PHTML::TextArea::~TextArea | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual void PHTML::TextArea::AddAttr | ( | PHTML & | html | ) | const
| protected virtual

Reimplemented from PHTML::FormField.

The documentation for this class was generated from the following file:

- html.h